Loading...
Searching...
No Matches
lock_guard.h File Reference

Lock guard implementation. More...

`#include <pthread.h>`
`#include <stdlib.h>`
Include dependency graph for lock_guard.h:

Go to the source code of this file.

## Data Structures

class | L4::Lock_guard
| Basic lock guard implementation that prevents forgotten unlocks on exit paths from a method or a block of code. More...

## Namespaces

namespace | L4
| L4 low-level kernel interface.

## Detailed Description

Lock guard implementation.

Definition in file lock_guard.h.